Bug 1361307 - mysql cartridge removes logs on start
Summary: mysql cartridge removes logs on start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1327714
Blocks: 1277547
TreeView+ depends on / blocked
 
Reported: 2016-07-28 18:20 UTC by Rory Thrasher
Modified: 2016-08-24 19:47 UTC (History)
9 users (show)

Fixed In Version: openshift-origin-cartridge-mysql-1.31.3.3-1.el6op
Doc Type: Bug Fix
Doc Text:
Cause: After the MySQL cartridge is successfully started, the log is automatically removed as a part of control script. Consequence: The log file is gone and no way to recover it. If there are errors occurred before the cartridge is started, the error log will be lost. This issue makes the debugging process difficult. Fix: The code that is responsible for log file removal is removed from the control script. Result: The log file will persist after the cartridge is started.
Clone Of: 1327714
Environment:
Last Closed: 2016-08-24 19:47:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Rory Thrasher 2016-07-28 18:20:25 UTC
Enterprise clone.

+++ This bug was initially created as a clone of Bug #1327714 +++

Currently the "start" function in the control script of the mysql cartridge removes the mysql.log, which often makes it impossible for users to find the root cause of an outage.

--- Additional comment from openshift-github-bot on 2016-04-15 17:26:40 EDT ---

Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/05b750de48ade4717faa86ed01d1c3ee79512c7e
Bug 1327714: MySQL cartridge removes logs on start

The "start" function of start script of the MySQL cartridge removes the
mysql.log which is supposed to save some disk space. However, since the
log file is removed, it's very difficult, if not impossible, for users
to debug any issues with MySQL database.

Since the log file removal is unnecessary, the code that is responsible
for that is now removed. As a result, the mysql.log file will remain
after the "start" function in control script is called. Also, replace
an error-log dump with a static message to instruct users to check
mysql.log for errors.

Bug: 1327714
Link: <https://bugzilla.redhat.com/show_bug.cgi?id=1327714>

Signed-off-by: Vu Dinh <vdinh@redhat.com>

--- Additional comment from XiuJuan Wang on 2016-04-25 06:14:28 EDT ---

Verified in devenv_5785

Feature works in mysql-5.1 and mysql-5.5, could save the mysql.log under $OPENSHIFT_LOG_DIR

Comment 5 errata-xmlrpc 2016-08-24 19:47:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.